AltSportsData

Fetch event participants

Fetch all participants for a particular event

GET
/api/v1/public/events/{eventId}/participants

Authorization

X-API-KEY
X-API-KEY<token>

In: header

Path Parameters

eventId*unknown

The id of the event for which the data should be returned.

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/public/events/{eventId}/participants"
[
  {
    "athlete": {
      "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
      "referenceId": 1174117206190029,
      "firstName": "Fraser",
      "middleName": "",
      "lastName": "MCCONNELL",
      "nationality": "JAM",
      "stance": "Regular",
      "hometown": "Maresias, São Paulo, Brazil",
      "height": "180",
      "weight": "72.84",
      "gender": "women",
      "weightClass": "Featherweight",
      "dob": "2022-02-10T19:00:00Z",
      "providerId": "string",
      "team": {
        "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
        "referenceId": 1174117206190029,
        "name": "ferrari"
      }
    }
  }
]
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}